Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225779 - Merge Review: GConf2
Summary: Merge Review: GConf2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:40 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-11 02:40:54 UTC
bdpepple: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:40:59 UTC
Fedora Merge Review: GConf2

http://cvs.fedora.redhat.com/viewcvs/devel/GConf2/
Initial Owner: rstrode@redhat.com

Comment 1 Brian Pepple 2007-02-03 22:14:49 UTC
Good:
* Source URL is canonical
* Upstream source tarball verified
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All directories are owned by this or other packages
* All necessary BuildRequires listed.

Minor:
* Could use the -disable-static config flag, and not even bother building the
static libs.
* Duplicate BuildRequires: pkgconfig (by libxml2-devel), glib2-devel (by
ORBit2-devel), autoconf (by libtool), automake (by libtool), perl-XML-Parser (by
intltool)
* rpmlint errors (Non-blockers):
E: GConf2-devel tag-not-utf8 %changelog
W: GConf2-devel no-documentation

Comment 2 Matthias Clasen 2007-02-04 00:58:11 UTC
I've added --disable-static now, and fixed one gtk-doc related directory
ownership problem that you have overlooked.

Comment 3 Matthias Clasen 2007-08-11 02:40:54 UTC
Review done.


Note You need to log in before you can comment on or make changes to this bug.